import { CustomizedOrderVM, ProductVM } from '@testlocallibrary/shared-kernel/models/view-models';
import * as i0 from "@angular/core";
export declare class OrderValidationService {
    isProductHasDiscount(productBeforeDiscount: ProductVM, productAfterDiscount: ProductVM, billingCycle: string): boolean;
    isOrderWithoutDomainOrProduct(order: CustomizedOrderVM): boolean;
    isOrderWithoutDomainOrListOfProducts(orderItem: CustomizedOrderVM, productsSelected: CustomizedOrderVM[]): boolean;
    isDomainFromCartHasNoProduct(isDomainFromCart: boolean, orderItemsFromCart: CustomizedOrderVM): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<OrderValidationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<OrderValidationService>;
}
